Package org.h2.jdbc

# Class JdbcArray

java.lang.Object
org.h2.message.TraceObject
org.h2.jdbc.JdbcArray

All Implemented Interfaces:
  `Array`

public final class JdbcArray extends TraceObject implements Array
Represents an ARRAY value.

## Field Summary

### Fields inherited from class org.h2.message.TraceObject

`ARRAY, BLOB, CALLABLE_STATEMENT, CLOB, CONNECTION, DATA_SOURCE, DATABASE_META_DATA, PARAMETER_META_DATA, PREPARED_STATEMENT, RESULT_SET, RESULT_SET_META_DATA, SAVEPOINT, SQLXML, STATEMENT, trace, XA_DATA_SOURCE, XID`

## Constructor Summary

Constructors
Constructor
Description
`JdbcArray(JdbcConnection conn, Value value, int id)`
INTERNAL

## Method Summary

Modifier and Type
Method
Description
`void`
`free()`
Release all resources of this object.
`Object`
`getArray()`
Returns the value as a Java array.
`Object`
`getArray(long index, int count)`
Returns the value as a Java array.
`Object`
`getArray(long index, int count, Map<String,Class<?>> map)`
Returns the value as a Java array.
`Object`
`getArray(Map<String,Class<?>> map)`
Returns the value as a Java array.
`int`
`getBaseType()`
Returns the base type of the array.
`String`
`getBaseTypeName()`
Returns the base type name of the array.
`ResultSet`
`getResultSet()`
Returns the value as a result set.
`ResultSet`
`getResultSet(long index, int count)`
Returns the value as a result set.
`ResultSet`
`getResultSet(long index, int count, Map<String,Class<?>> map)`
Returns the value as a result set.
`ResultSet`
`getResultSet(Map<String,Class<?>> map)`
Returns the value as a result set.
`String`
`toString()`
INTERNAL

### Methods inherited from class org.h2.message.TraceObject

`debugCode, debugCodeAssign, debugCodeCall, debugCodeCall, debugCodeCall, getNextId, getTraceId, getTraceObjectName, isDebugEnabled, isInfoEnabled, logAndConvert, quote, quoteArray, quoteBigDecimal, quoteBytes, quoteDate, quoteIntArray, quoteMap, quoteTime, quoteTimestamp, setTrace, unsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JdbcArray

public JdbcArray(JdbcConnection conn, Value value, int id)
INTERNAL

Parameters:
  `conn` - it belongs to
  `value` - of
  `id` - of the trace object

## Method Details

### getArray

public Object getArray() throws SQLException
Returns the value as a Java array. This method always returns an Object[].

Specified by:
  `getArray` in interface `Array`
Returns:
  the Object array
Throws:
  `SQLException`

### getArray

public Object getArray(Map<String,Class<?>> map) throws SQLException
Returns the value as a Java array. This method always returns an Object[].

Specified by:
  `getArray` in interface `Array`
Parameters:
  `map` - is ignored. Only empty or null maps are supported
Returns:
  the Object array
Throws:
  `SQLException`

### getArray

public Object getArray(long index, int count) throws SQLException
Returns the value as a Java array. A subset of the array is returned, starting from the index (1 meaning the first element) and up to the given object count. This method always returns an Object[].

Specified by:
  `getArray` in interface `Array`
Parameters:
  `index` - the start index of the subset (starting with 1)
  `count` - the maximum number of values
Returns:
  the Object array
Throws:
  `SQLException`

### getArray

public Object getArray(long index, int count, Map<String,Class<?>> map) throws SQLException
Returns the value as a Java array. A subset of the array is returned, starting from the index (1 meaning the first element) and up to the given object count. This method always returns an Object[].

Specified by:
  `getArray` in interface `Array`
Parameters:
  `index` - the start index of the subset (starting with 1)
  `count` - the maximum number of values
  `map` - is ignored. Only empty or null maps are supported
Returns:
  the Object array
Throws:
  `SQLException`

### getBaseType

public int getBaseType() throws SQLException
Returns the base type of the array.

Specified by:
  `getBaseType` in interface `Array`
Returns:
  the base type or Types.NULL
Throws:
  `SQLException`

### getBaseTypeName

public String getBaseTypeName() throws SQLException
Returns the base type name of the array. This database does support mixed type arrays and therefore there is no base type.

Specified by:
  `getBaseTypeName` in interface `Array`
Returns:
  the base type name or "NULL"
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet() throws SQLException
Returns the value as a result set. The first column contains the index (starting with 1) and the second column the value.

Specified by:
  `getResultSet` in interface `Array`
Returns:
  the result set
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet(Map<String,Class<?>> map) throws SQLException
Returns the value as a result set. The first column contains the index (starting with 1) and the second column the value.

Specified by:
  `getResultSet` in interface `Array`
Parameters:
  `map` - is ignored. Only empty or null maps are supported
Returns:
  the result set
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet(long index, int count) throws SQLException
Returns the value as a result set. The first column contains the index (starting with 1) and the second column the value. A subset of the array is returned, starting from the index (1 meaning the first element) and up to the given object count.

Specified by:
  `getResultSet` in interface `Array`
Parameters:
  `index` - the start index of the subset (starting with 1)
  `count` - the maximum number of values
Returns:
  the result set
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet(long index, int count, Map<String,Class<?>> map) throws SQLException
Returns the value as a result set. The first column contains the index (starting with 1) and the second column the value. A subset of the array is returned, starting from the index (1 meaning the first element) and up to the given object count.

Specified by:
  `getResultSet` in interface `Array`
Parameters:
  `index` - the start index of the subset (starting with 1)
  `count` - the maximum number of values
  `map` - is ignored. Only empty or null maps are supported
Returns:
  the result set
Throws:
  `SQLException`

### free

public void free()
Release all resources of this object.

Specified by:
  `free` in interface `Array`

### toString

public String toString()
INTERNAL

Overrides:
  `toString` in class `Object`